## org.apache.lucene.queryParser.standard.config
Class RangeCollatorAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.RangeCollatorAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, RangeCollatorAttribute, org.apache.lucene.util.Attribute

    public class RangeCollatorAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements RangeCollatorAttribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `Collator` should be used for a `TermRangeQuery`

See Also:
  `RangeCollatorAttribute`, Serialized Form

Constructor Summary
`RangeCollatorAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` `equals(java.lang.Object other)`
`java.text.Collator` `getRangeCollator()`
`int` `hashCode()`
`void` `setDateResolution(java.text.Collator rangeCollator)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeCollatorAttributeImpl

    public RangeCollatorAttributeImpl()

Method Detail

### setDateResolution

    public void setDateResolution(java.text.Collator rangeCollator)

  Specified by:
    `setDateResolution` in interface `RangeCollatorAttribute`

### getRangeCollator

    public java.text.Collator getRangeCollator()

  Specified by:
    `getRangeCollator` in interface `RangeCollatorAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in class `org.apache.lucene.util.AttributeImpl`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `org.apache.lucene.util.AttributeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.